
Application: gvSIG desktop - gvSIG bugs #971
OPCIÓN ARCO INTERNO DE LA HERRAMIENTA AUTOCOMPLETAR POLÍGONO NO QUEDA BIEN 
DEFINIDA / INTERNAL ARC IN AUTOCOMPLETE POLYGON NOT WELL DEFINED
08/08/2012 11:23 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: autocomplete polygon, autocompletar polígono, arco interno, internal arcProyecto:
Has patch: No Hito:
Add-on name: Unknown
Description
ESP - OPCIÓN ARCO INTERNO DE LA HERRAMIENTA AUTOCOMPLETAR POLÍGONO NO QUEDA BIEN DEFINIDA
Pasos:
    1. Abrir gvSIG
    2. Crear vista
    3. Añadir Capa
    4. Pinchar con el botón derecho sobre la capa en la ToC y Comenzar edición
    5. Seleccionar la herramienta Autocompletar polígono
    6. Dibujar un semicírculo:
        -  Insertar punto 1 con coordenadas (-489233,4826637)
        -  Insertar punto 2 con coordenadas (-467527,4596433)
        -  Botón derecho del ratón y elegir la opción Arco Interno
        -  Insertar punto 3 con coordenadas (-259600,4733528)
        -  Botón derecho del ratón y Terminar

Resultado: Ver imagen adjunta Arc_autopolygon.png

Punto 1 ha cambiado sus coordenadas
Punto 2 desaparece
No hay arco, solamente líneas o tramos rectos

ENG - INTERNAL ARC IN AUTOCOMPLETE POLYGON NOT WELL DEFINED
Steps:
    1. Open gvSIG
    2. Create view
    3. Add Layer
    4. In ToC select right button menu on layer selected and click Start edition
    5. Select the tool Autocomplete Polygon
    6. Draw a semicircle
        -  Insert point 1 with coordinates (-489233,4826637)
        -  Insert point 2 with coordinates (-467527,4596433)
        -  Click right button and choose option Internal Arc
        -  Insert point 3 with coordinates (-259600,4733528)
        -  Click right button of the mouse and Terminate

Result: See attached picture Arc_autopolygon.png
Point 1 has changed coordinates
Point 2 disappears
There is no arc, only straight lines

History
#1 - 10/08/2012 12:51 PM - Abenchara Socorro
- Target version set to 2.0.0-rc1

#2 - 10/22/2012 06:01 PM - Manuel Madrid
- Priority changed from Normal to High

#3 - 10/30/2012 03:31 PM - Juan Lucas Domínguez
- Status changed from New to Awaiting response
- Assignee set to Juan Lucas Domínguez

The expected behavior of this tool is unclear and needs to be clarified with Manuel/Joaquín.

#4 - 11/19/2012 09:55 AM - Abenchara Socorro
- Status changed from Awaiting response to Closed

Closed in build 2058

Files
Arc_autoplygon.png 150 KB 08/08/2012 Abenchara Socorro

04/29/2024 2/2


